Subject: OFFLIST RE: on the need for documentation addresses of all types

From: <[email-masked]>
Date: Mon, 27 Feb 2017 14:38:32 +0000

Hi Michael, 

FWIW, multicast documentation prefixes are already defined in RFC6676.

For example, we are making use of those in https://tools.ietf.org/html/draft-ietf-softwire-dslite-multicast-18: 

   IPv4 and IPv6 addresses used in this example are derived from the
   IPv4 and IPv6 blocks reserved for documentation, as per [RFC6676].
   The unicast IPv4 address of the above example is derived from the
   documentation address block defined in [RFC6890].

Cheers,
Med

> -----Message d'origine-----
> De : ipv6 [mailto:[email-masked]] De la part de Michael Richardson
> Envoyé : lundi 27 février 2017 15:24
> À : [email-masked]
> Objet : on the need for documentation addresses of all types
> 
> 
> rfc3849 gives us 2001:DB8::/32 for use in documentation.
> 
> I find that I am often giving example addresses in fe80:: (Link Local),
> and
> fd00::/8 (ULA) addresses when those prefixes are appropriate for the
> protocol.   I worry that someone will think the numbers I've chosen are
> special in some way.  There are clearly far less concern about duplication
> since both spaces are designed to be duplicated (LL) and
> not-guaranteed-to-be-unique (ULA).
> 
> I'd still be happier if someone google'ed the prefixes in the document,
> and
> found that they were documentation examples.
> 
> I'd also like to have three additional documentation prefixes from GUA
> space so that examples involving inner and outer addresses, and senders
> and
> receivers could be better distinguished.  Yes, we currently can carve
> /48 blocks out of 2001:DB8::/32 for this purpose, but it would be nice if
> the pattern was even more unique.
> 
> Would it also be useful to have documentation addresses for the multicast
> ranges, and the like?
> 
> --
> Michael Richardson <[email-masked]>, Sandelman Software Works
>  -= IPv6 IoT consulting =-
> 
>